import StoreEntity from '../../Core/StoreEntity';
import Session from '../../Services/Identity/Session';
import { Rollout, UpdateParams, UserRollout } from '../Rollouts.consts';
export default class RolloutsEntity extends StoreEntity<RolloutsEntity> {
    constructor(session: Session);
    getAll(): Promise<Rollout[]>;
    createOrUpdateUserRollout(params: UpdateParams): Promise<UserRollout>;
}
